<?php

/*******************************************
* Simple Livejournal
* Version 1.1
*  mamavrn.ru
* License - http://creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0
********************************************
* hooks.php
*******************************************/

	if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')) 
		require_once(dirname(__FILE__) . '/SSI.php');
	elseif (!defined('SMF'))
		exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

	$hooks = array(
		'integrate_pre_include' => '$sourcedir/SimpleLivejournal.php',
		'integrate_create_topic' => 'SimpleLivejournal',
		'integrate_admin_areas' => 'SimpleLivejournalAdmin',
		'integrate_general_mod_settings' => 'SimpleLivejournalSettings'
	);

	if (!empty($context['uninstalling']))
		$call = 'remove_integration_function';
	else
		$call = 'add_integration_function';


	foreach ($hooks as $hook => $function)
		$call($hook, $function);

?>